> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept External New User



## OpenAPI

````yaml /openapi.json post /v1/auth/collaborations/accept-external-new-user
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/auth/collaborations/accept-external-new-user:
    post:
      tags:
        - Collaboration Auth
      summary: Accept External New User
      operationId: CollaborationAuthController_acceptExternalNewUser_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptCollabNewUserDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollabAuthResponseDto'
components:
  schemas:
    AcceptCollabNewUserDto:
      type: object
      properties:
        token:
          type: string
        password:
          type: string
          minLength: 8
          maxLength: 64
          pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[\W_]).+$
        firstName:
          type: string
          maxLength: 100
        lastName:
          type: string
          maxLength: 100
      required:
        - token
        - password
    CollabAuthResponseDto:
      type: object
      properties:
        accessToken:
          type: string
        refreshToken:
          type: string
        collabId:
          type: string
      required:
        - accessToken
        - refreshToken
        - collabId

````